"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pick = exports.mergeObjects = exports.deepClone = void 0;
const deepClone = (obj) => {
    return JSON.parse(JSON.stringify(obj));
};
exports.deepClone = deepClone;
const mergeObjects = (obj1, obj2) => {
    return { ...obj1, ...obj2 };
};
exports.mergeObjects = mergeObjects;
const pick = (obj, keys) => {
    const result = {};
    keys.forEach((key) => {
        if (key in obj) {
            result[key] = obj[key];
        }
    });
    return result;
};
exports.pick = pick;
